Name:           yersinia
Version:        0.7.1
Release:        2%{?dist}
Summary:        Network protocols tester and attacker

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.yersinia.net/
Source0:        http://www.yersinia.net/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap-devel
BuildRequires:  libnet-devel
BuildRequires:  gtk2-devel
BuildRequires:  ncurses-devel


%description
Yersinia is a network tool designed to take advantage of some weakeness
in different network protocols. It pretends to be a solid framework for
analyzing and testing the deployed networks and systems.

Currently, there are some network protocols implemented, but others are 
coming (tell us which one is your preferred). Attacks for the following
network protocols are implemented (but of course you are free for 
implementing new ones):

* Spanning Tree Protocol (STP)
* Cisco Discovery Protocol (CDP)
* Dynamic Trunking Protocol (DTP)
* Dynamic Host Configuration Protocol (DHCP)
* Hot Standby Router Protocol (HSRP)
* IEEE 802.1Q and IEEE 802.1X
* Inter-Switch Link Protocol (ISL)
* VLAN Trunking Protocol (VTP)


%prep
%setup -q


%build
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
# Convert to utf-8
for file in THANKS; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ README THANKS TODO
%{_mandir}/man?/%{name}.*
%{_bindir}/%{name}


%changelog
* Fri Dec 26 2008 Fabian Affolter <fabian@bernewireless.net> - 0.7.1-2
- Added CFLAGS

* Thu Dec 23 2008 Fabian Affolter <fabian@bernewireless.net> - 0.7.1-1
- Initial spec for Fedora
